<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__rfcomm__api__functions" kind="group">
    <compoundname>rfcomm_api_functions</compoundname>
    <title>RFCOMM</title>
      <sectiondef kind="enum">
      <memberdef id="group__rfcomm__api__functions_1gaa0e1b18abc58d3ad24eb35eea2fa75c6" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>wiced_bt_rfcomm_port_event_t</name>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a147ef28430c932743dabdf452f371555" prot="public">
          <name>PORT_EV_NONE</name>
          <initializer>= 0x00000000</initializer>
          <briefdescription>
<para>No event. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a2291aef2e65a037a6180894a022ccf51" prot="public">
          <name>PORT_EV_RXCHAR</name>
          <initializer>= 0x00000001</initializer>
          <briefdescription>
<para>Any Character received. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6acfc0c833ef513e4d4499b2c21291b1a9" prot="public">
          <name>PORT_EV_RXFLAG</name>
          <initializer>= 0x00000002</initializer>
          <briefdescription>
<para>Received certain character. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6ad63e02b7e64c356efcde1a698dde128f" prot="public">
          <name>PORT_EV_TXEMPTY</name>
          <initializer>= 0x00000004</initializer>
          <briefdescription>
<para>Transmitt Queue Empty. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a38c69fe7247db39a37872c4042c4f006" prot="public">
          <name>PORT_EV_CTS</name>
          <initializer>= 0x00000008</initializer>
          <briefdescription>
<para>CTS changed state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a6294fef1d832b05fbc2241822e633646" prot="public">
          <name>PORT_EV_DSR</name>
          <initializer>= 0x00000010</initializer>
          <briefdescription>
<para>DSR changed state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a10c2bdf54cafcd9e2b2f2f6b73cf4bc6" prot="public">
          <name>PORT_EV_RLSD</name>
          <initializer>= 0x00000020</initializer>
          <briefdescription>
<para>RLSD changed state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a93ddd638f2a1037efc1bf9829efbb216" prot="public">
          <name>PORT_EV_BREAK</name>
          <initializer>= 0x00000040</initializer>
          <briefdescription>
<para>BREAK received. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a21223e2f0159a9b4e5d28178b7995bbd" prot="public">
          <name>PORT_EV_ERR</name>
          <initializer>= 0x00000080</initializer>
          <briefdescription>
<para>Line status error occurred. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6acb07c980eb0b6f0e4d6f1d135338a188" prot="public">
          <name>PORT_EV_RING</name>
          <initializer>= 0x00000100</initializer>
          <briefdescription>
<para>Ring signal detected. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a92e6dbc56674c8ea67ba56b622e5bb1e" prot="public">
          <name>PORT_EV_CTSS</name>
          <initializer>= 0x00000400</initializer>
          <briefdescription>
<para>CTS state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a7805af0b242dcd9e383a484820e35851" prot="public">
          <name>PORT_EV_DSRS</name>
          <initializer>= 0x00000800</initializer>
          <briefdescription>
<para>DSR state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6af0c404b8bfd5d6a971a3578ae6c204d7" prot="public">
          <name>PORT_EV_RLSDS</name>
          <initializer>= 0x00001000</initializer>
          <briefdescription>
<para>RLSD state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a499053e3abba3673768df96e99ed7fbb" prot="public">
          <name>PORT_EV_OVERRUN</name>
          <initializer>= 0x00002000</initializer>
          <briefdescription>
<para>receiver buffer overrun </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6ab0e0e49c83bfe3fed8ded40f4c877b56" prot="public">
          <name>PORT_EV_CONNECTED</name>
          <initializer>= 0x00000200</initializer>
          <briefdescription>
<para>RFCOMM connection established. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a34886c5f5c970ec71830f71df6a30397" prot="public">
          <name>PORT_EV_CONNECT_ERR</name>
          <initializer>= 0x00008000</initializer>
          <briefdescription>
<para>Was not able to establish connection or disconnected. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a9c35996deb5af9e5d67d5da1efc310bd" prot="public">
          <name>PORT_EV_FC</name>
          <initializer>= 0x00010000</initializer>
          <briefdescription>
<para>data flow enabled flag changed by remote </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6aa69edb81d98672d83bd20a22ac1cf308" prot="public">
          <name>PORT_EV_FCS</name>
          <initializer>= 0x00020000</initializer>
          <briefdescription>
<para>data flow enable status true = enabled </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>wiced_bt_rfcomm_port_event_t: </bold><linebreak />RFCOMM Port Event Masks.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="51" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="31" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="32" />
      </memberdef>
      <memberdef id="group__rfcomm__api__functions_1ga919c228fbe128a196f66f0569ff3c1ee" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>wiced_bt_rfcomm_result_e</name>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeac6a2ab346e231701aad63ab43f956aa2" prot="public">
          <name>WICED_BT_RFCOMM_SUCCESS</name>
          <briefdescription>
<para>Success. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea65658456910f6608b4feb6c3dcacce48" prot="public">
          <name>WICED_BT_RFCOMM_ERROR</name>
          <briefdescription>
<para>Error. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea88c89f9644def54e9438b6b81bbbfda4" prot="public">
          <name>WICED_BT_RFCOMM_ALREADY_OPENED</name>
          <briefdescription>
<para>Already Opened. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea302e940c0ddad808dcec1204b005954d" prot="public">
          <name>WICED_BT_RFCOMM_CMD_PENDING</name>
          <briefdescription>
<para>Command Pending. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaed0fd417cb1df6184d4f9475fa1310c9" prot="public">
          <name>WICED_BT_RFCOMM_APP_NOT_REGISTERED</name>
          <briefdescription>
<para>App Not Registered. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea0869717b42af12d95fe7afb95dce63e9" prot="public">
          <name>WICED_BT_RFCOMM_NO_MEM</name>
          <briefdescription>
<para>No Memory. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeadcacd8f3468f801516dd5cb11fc413a7" prot="public">
          <name>WICED_BT_RFCOMM_NO_RESOURCES</name>
          <briefdescription>
<para>No Resources. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaf86ead6148371bf2058f2dcb94eff32a" prot="public">
          <name>WICED_BT_RFCOMM_BAD_BD_ADDR</name>
          <briefdescription>
<para>Bad BD Address. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea3aae0d777e5cc370a8557ff4479c39d4" prot="public">
          <name>WICED_BT_RFCOMM_INVALID_MTU</name>
          <briefdescription>
<para>Invalid MTU. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaefaf6217e6a2122a0f79b3afe6a0bf37" prot="public">
          <name>WICED_BT_RFCOMM_BAD_HANDLE</name>
          <briefdescription>
<para>Bad Handle. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea346d6b3a4e5a77bc65fcd1b8d8e3ebaf" prot="public">
          <name>WICED_BT_RFCOMM_NOT_OPENED</name>
          <briefdescription>
<para>Not Opened. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaf3b688071de654bb2d18e6678a0b4e50" prot="public">
          <name>WICED_BT_RFCOMM_LINE_ERR</name>
          <briefdescription>
<para>Line Error. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaf7652b0d4430c2f76d3ee44b3607af9a" prot="public">
          <name>WICED_BT_RFCOMM_START_FAILED</name>
          <briefdescription>
<para>Start Failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeab8fef79ecccd7d4c72fcfbf92b2f7ad6" prot="public">
          <name>WICED_BT_RFCOMM_PAR_NEG_FAILED</name>
          <briefdescription>
<para>DLC parameter negotiation failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea03e56e8c870f73f930a2a810b69680ec" prot="public">
          <name>WICED_BT_RFCOMM_RFCOMM_NEG_FAILED</name>
          <briefdescription>
<para>Remote port negotiation failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea1425671f23d7a3fff1730f878b76ef64" prot="public">
          <name>WICED_BT_RFCOMM_PEER_CONNECTION_FAILED</name>
          <briefdescription>
<para>Peer Connection Failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea935b44d52feb6648d065dc3a574da4d3" prot="public">
          <name>WICED_BT_RFCOMM_PEER_FAILED</name>
          <briefdescription>
<para>Peer Failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaf89b844b21d92478715ee0aaacd2ef5b" prot="public">
          <name>WICED_BT_RFCOMM_PEER_TIMEOUT</name>
          <briefdescription>
<para>Peer Timeout. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea9e47ad9235cb12bebb32579480b015ee" prot="public">
          <name>WICED_BT_RFCOMM_CLOSED</name>
          <briefdescription>
<para>Closed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeab158848d1c987033391e3e40c0ea117e" prot="public">
          <name>WICED_BT_RFCOMM_TX_FULL</name>
          <briefdescription>
<para>No space to transmit the packet. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeae7453c884e73d65f5789ed41ea613b1b" prot="public">
          <name>WICED_BT_RFCOMM_LOCAL_CLOSED</name>
          <briefdescription>
<para>Local Closed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eeaadaeb45047fa16f70517bfe3382263a6" prot="public">
          <name>WICED_BT_RFCOMM_LOCAL_TIMEOUT</name>
          <briefdescription>
<para>Local Timeout. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea080c1f983a887f3ffa8f02a2fcea6272" prot="public">
          <name>WICED_BT_RFCOMM_TX_QUEUE_DISABLED</name>
          <briefdescription>
<para>Transmit queue disabled. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea1a58a753025e58ea2590e58d51801946" prot="public">
          <name>WICED_BT_RFCOMM_PAGE_TIMEOUT</name>
          <briefdescription>
<para>Page Timeout. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1gga919c228fbe128a196f66f0569ff3c1eea37cc294f3813990ea2093096fc1dfc52" prot="public">
          <name>WICED_BT_RFCOMM_INVALID_SCN</name>
          <briefdescription>
<para>Invalid SCN. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>wiced_bt_rfcomm_result_e: </bold><linebreak />RFCOMM Result Codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="89" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="62" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="63" />
      </memberdef>
      <memberdef id="group__rfcomm__api__functions_1gadc2b731e552fdb229490b5640e29714d" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>wiced_bt_rfcomm_signal_e</name>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714daf5cba0e56de841cf9039be1981ba5767" prot="public">
          <name>PORT_SET_DTRDSR</name>
          <initializer>=0x01</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714da9f0240aa0eaf47ffc2466ed72fe61ef6" prot="public">
          <name>PORT_CLR_DTRDSR</name>
          <briefdescription>
<para>DTRDSR set. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714dac3d657875811506d148b0c0eeb640b45" prot="public">
          <name>PORT_SET_CTSRTS</name>
          <briefdescription>
<para>DTRDSR clear. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714dac4f76fe5d805578ce4a18d818b53a73a" prot="public">
          <name>PORT_CLR_CTSRTS</name>
          <briefdescription>
<para>CTSRTS set. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714da461f64d59a7ad02bef1d444733ea8943" prot="public">
          <name>PORT_SET_RI</name>
          <briefdescription>
<para>CTSRTS clear. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714dae3045b7f211c689c00796d04d0e19c47" prot="public">
          <name>PORT_CLR_RI</name>
          <briefdescription>
<para>RI set (DCE only) </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714da52d12db3884e5e67c4aebe743ebc08b4" prot="public">
          <name>PORT_SET_DCD</name>
          <briefdescription>
<para>RI clear (DCE only) </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714da30da2261c07bb597366c2924991cefb5" prot="public">
          <name>PORT_CLR_DCD</name>
          <briefdescription>
<para>DCD set (DCE only) </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__rfcomm__api__functions_1ggadc2b731e552fdb229490b5640e29714da0708ac7af96c16d40ff1976d1cb29239" prot="public">
          <name>PORT_BREAK</name>
          <briefdescription>
<para>DCD clear (DCE only) </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>wiced_bt_rfcomm_signal_e: </bold><linebreak />RFCOMM Signals.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="104" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="93" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="94" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d" kind="typedef" prot="public" static="no">
        <type>int</type>
        <definition>typedef int wiced_bt_rfcomm_result_t</definition>
        <argsstring />
        <name>wiced_bt_rfcomm_result_t</name>
        <briefdescription>
<para>RFCOMM result code (see <ref kindref="member" refid="group__rfcomm__api__functions_1ga919c228fbe128a196f66f0569ff3c1ee">wiced_bt_rfcomm_result_e</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="90" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="90" />
      </memberdef>
      <memberdef id="group__rfcomm__api__functions_1ga33ea46c5bfe359825b3973b9ed7bdb01" kind="typedef" prot="public" static="no">
        <type>uint8_t</type>
        <definition>typedef uint8_t wiced_bt_rfcomm_signal_t</definition>
        <argsstring />
        <name>wiced_bt_rfcomm_signal_t</name>
        <briefdescription>
<para>RFCOMM Signals (see <ref kindref="member" refid="group__rfcomm__api__functions_1gadc2b731e552fdb229490b5640e29714d">wiced_bt_rfcomm_signal_e</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="105" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="105" />
      </memberdef>
      <memberdef id="group__rfcomm__api__functions_1ga29e5339346921b8f38a528ff118498d0" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() wiced_bt_port_mgmt_cback_t(wiced_bt_rfcomm_result_t code, uint16_t port_handle)</definition>
        <argsstring>(wiced_bt_rfcomm_result_t code, uint16_t port_handle)</argsstring>
        <name>wiced_bt_port_mgmt_cback_t</name>
        <briefdescription>
<para>Port management callback. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>code</parametername>
</parameternamelist>
<parameterdescription>
<para>: Result code </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>port_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: Port handle from <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection</ref>. </para>
</parameterdescription>
</parameteritem>
</parameterlist>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="113" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="113" />
      </memberdef>
      <memberdef id="group__rfcomm__api__functions_1gaca604941c538633cc92ad5a5361dab96" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() wiced_bt_port_event_cback_t(wiced_bt_rfcomm_port_event_t event, uint16_t port_handle)</definition>
        <argsstring>(wiced_bt_rfcomm_port_event_t event, uint16_t port_handle)</argsstring>
        <name>wiced_bt_port_event_cback_t</name>
        <briefdescription>
<para>Port event callback. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>event</parametername>
</parameternamelist>
<parameterdescription>
<para>: A 32-bit event code that contains a bit-mask of one or more events the caller would like to register.(see <ref kindref="member" refid="group__rfcomm__api__functions_1gaa0e1b18abc58d3ad24eb35eea2fa75c6">wiced_bt_rfcomm_port_event_t</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>port_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: Port handle from <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref>. </para>
</parameterdescription>
</parameteritem>
</parameterlist>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="121" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="121" />
      </memberdef>
      <memberdef id="group__rfcomm__api__functions_1gad9593eadcb99b8ff4f6b7e7f8a5825f8" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() wiced_bt_port_tx_cback_t(uint16_t port_handle, void *p_data)</definition>
        <argsstring>(uint16_t port_handle, void *p_data)</argsstring>
        <name>wiced_bt_port_tx_cback_t</name>
        <briefdescription>
<para>Port TX Complete callback. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>port_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: Port handle from <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref>. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to application data </para>
</parameterdescription>
</parameteritem>
</parameterlist>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="129" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="129" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_create_connection</definition>
        <argsstring>(uint16_t uuid, uint8_t scn, wiced_bool_t is_server, uint16_t mtu, wiced_bt_device_address_t bd_addr, uint16_t *p_handle, wiced_bt_port_mgmt_cback_t *p_mgmt_cb)</argsstring>
        <name>wiced_bt_rfcomm_create_connection</name>
        <param>
          <type>uint16_t</type>
          <declname>uuid</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>scn</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>is_server</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>mtu</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga29e5339346921b8f38a528ff118498d0">wiced_bt_port_mgmt_cback_t</ref> *</type>
          <declname>p_mgmt_cb</declname>
        </param>
        <briefdescription>
<para>Establish serial port connection to the peer device, or allow RFCOMM to accept a connection from peer devices. </para>
        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Server can call this function with the same scn parameter multiple times if it is ready to accept multiple simulteneous connections.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;DLCI for the connection is (scn * 2 + 1) if client originates connection on existing none initiator multiplexer channel. Otherwise it is (scn * 2). For the server DLCI can be changed later if client will be calling it using (scn * 2 + 1) dlci.</verbatim></para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: The Universal Unique Identifier (UUID) of the Class ID of the service being opened </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">scn</parametername>
</parameternamelist>
<parameterdescription>
<para>: The Service Channel Number(SCN) as registered with the SDP (server) or obtained using SDP from the peer device (client) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_server</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE if requesting application is a server </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mtu</parametername>
</parameternamelist>
<parameterdescription>
<para>: The maximum number of bytes transferred per frame If 0, a default size of L2CAP_MAX_RX_MTU minus 5 bytes is used </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD_ADDR of the peer (if client), NULL if server (see <ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_mgmt_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to callback function to receive connection up/down events (see <ref kindref="member" refid="group__rfcomm__api__functions_1ga29e5339346921b8f38a528ff118498d0">wiced_bt_port_mgmt_cback_t</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: A pointer to the handle set by RFCOMM to be used in consecutive calls for this connection</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_ALREADY_OPENED </bold> : If the client tries to establish a connection to the same BD_ADDR<linebreak />
 <bold> WICED_BT_RFCOMM_NO_RESOURCES </bold> : If there is not enough memory to allocate a control block structure<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="171" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1gae609bc27a6207cea08e5017ffb2940b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_remove_connection</definition>
        <argsstring>(uint16_t handle, wiced_bool_t remove_server)</argsstring>
        <name>wiced_bt_rfcomm_remove_connection</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>remove_server</declname>
        </param>
        <briefdescription>
<para>Close the specified connection. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection</ref>. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">remove_server</parametername>
</parameternamelist>
<parameterdescription>
<para>: (for server only) If TRUE, then also remove server; otherwise server remains enabled after connection is closed.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful <linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range <linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened <linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1gabbe544a7a6843471ef384c6dafc976aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_set_event_callback</definition>
        <argsstring>(uint16_t port_handle, wiced_bt_port_event_cback_t *p_port_cb, wiced_bt_port_tx_cback_t *p_tx_cmpl_cb)</argsstring>
        <name>wiced_bt_rfcomm_set_event_callback</name>
        <param>
          <type>uint16_t</type>
          <declname>port_handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__rfcomm__api__functions_1gaca604941c538633cc92ad5a5361dab96">wiced_bt_port_event_cback_t</ref> *</type>
          <declname>p_port_cb</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__rfcomm__api__functions_1gad9593eadcb99b8ff4f6b7e7f8a5825f8">wiced_bt_port_tx_cback_t</ref> *</type>
          <declname>p_tx_cmpl_cb</declname>
        </param>
        <briefdescription>
<para>Set event callback the specified connection. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">port_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: A 16-bit unsigned integer returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection</ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_port_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of the callback function which should be called from the RFCOMM when an event specified in the mask occurs. (see <ref kindref="member" refid="group__rfcomm__api__functions_1gaca604941c538633cc92ad5a5361dab96">wiced_bt_port_event_cback_t</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_tx_cmpl_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of the callback function which should be called from the RFCOMM when TX complete (see <ref kindref="member" refid="group__rfcomm__api__functions_1gad9593eadcb99b8ff4f6b7e7f8a5825f8">wiced_bt_port_tx_cback_t</ref>)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="206" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1gad4241f1a332dbd4d03bbc8ce75cfa839" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_set_event_mask</definition>
        <argsstring>(uint16_t port_handle, wiced_bt_rfcomm_port_event_t mask)</argsstring>
        <name>wiced_bt_rfcomm_set_event_mask</name>
        <param>
          <type>uint16_t</type>
          <declname>port_handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__rfcomm__api__functions_1gaa0e1b18abc58d3ad24eb35eea2fa75c6">wiced_bt_rfcomm_port_event_t</ref></type>
          <declname>mask</declname>
        </param>
        <briefdescription>
<para>Set events for which to be notified. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">port_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: A 16-bit unsigned integer returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mask</parametername>
</parameternamelist>
<parameterdescription>
<para>: Event mask (see <ref kindref="member" refid="group__rfcomm__api__functions_1gaa0e1b18abc58d3ad24eb35eea2fa75c6">wiced_bt_rfcomm_port_event_t</ref>)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="220" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1ga417a74cdea9648969a1d28cb403cf0d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_control</definition>
        <argsstring>(uint16_t handle, uint8_t signal)</argsstring>
        <name>wiced_bt_rfcomm_control</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>signal</declname>
        </param>
        <briefdescription>
<para>Send control signal to the peer device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">signal</parametername>
</parameternamelist>
<parameterdescription>
<para>: Signal to send (see <ref kindref="member" refid="group__rfcomm__api__functions_1gadc2b731e552fdb229490b5640e29714d">wiced_bt_rfcomm_signal_e</ref>)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="233" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1ga87bbfb9c882d8080fef5f63e2ad256c0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_flow_control</definition>
        <argsstring>(uint16_t handle, wiced_bool_t enable)</argsstring>
        <name>wiced_bt_rfcomm_flow_control</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>This function directs a specified connection to pass flow control message to the peer device. </para>
        </briefdescription>
        <detaileddescription>
<para>Enable flag passed shows if port can accept more data.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: Flow control setting TRUE Enable data flow FALSE Disable data flow</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="249" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1ga354972749236c7b8bac2ee78743a5f95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_set_rx_fifo</definition>
        <argsstring>(uint16_t handle, char *p_mem, uint16_t size)</argsstring>
        <name>wiced_bt_rfcomm_set_rx_fifo</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>p_mem</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>This function provides RFCOMM with a data area to receive peer's data. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_mem</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the fifo area </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>: Size of the fifo area</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1ga2f25652d11064bf6879355e18dc03188" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_read_data</definition>
        <argsstring>(uint16_t handle, char *p_data, uint16_t max_len, uint16_t *p_len)</argsstring>
        <name>wiced_bt_rfcomm_read_data</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>p_data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_len</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_len</declname>
        </param>
        <briefdescription>
<para>This function reads the received application data from the peer device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Where to read the data into </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Maximum Byte count to read </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Bytes actually read</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="278" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1gadda009a09d195e0d9ac42ea0980d1694" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_write_data</definition>
        <argsstring>(uint16_t handle, char *p_data, uint16_t max_len)</argsstring>
        <name>wiced_bt_rfcomm_write_data</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>p_data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_len</declname>
        </param>
        <briefdescription>
<para>This function sends the given application data to the peer device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Data to write </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Byte count to write</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_BAD_HANDLE </bold> : If the handle is out of range<linebreak />
 <bold> WICED_BT_RFCOMM_NOT_OPENED </bold> : If the connection is not opened<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="292" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__rfcomm__api__functions_1ga5530e81b324a02f9a43947db3236a93c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__rfcomm__api__functions_1ga67a77aad84c51f52a3a3283258fc620d">wiced_bt_rfcomm_result_t</ref></type>
        <definition>wiced_bt_rfcomm_result_t wiced_bt_rfcomm_check_connection</definition>
        <argsstring>(uint16_t handle, wiced_bt_device_address_t bd_addr, uint16_t *p_lcid)</argsstring>
        <name>wiced_bt_rfcomm_check_connection</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_lcid</declname>
        </param>
        <briefdescription>
<para>This function checks connection referenced by handle is up and running. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: The connection handle returned by <ref kindref="member" refid="group__rfcomm__api__functions_1ga0acf439d7bfa3540fe1f682e28a3ea15">wiced_bt_rfcomm_create_connection </ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer BD Address (see <ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>: L2CAP's LCID</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_RFCOMM_SUCCESS </bold> : If successful<linebreak />
 <bold> WICED_BT_RFCOMM_LINE_ERR </bold> : If connection is not up and running<linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="305" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__rfcomm__api__functions_1ga802c52c03865b1cb09af25e41363275d" kind="define" prot="public" static="no">
        <name>PORT_MASK_ALL</name>
        <initializer>(<ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a2291aef2e65a037a6180894a022ccf51">PORT_EV_RXCHAR</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6ad63e02b7e64c356efcde1a698dde128f">PORT_EV_TXEMPTY</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a38c69fe7247db39a37872c4042c4f006">PORT_EV_CTS</ref> | \
                                   <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a6294fef1d832b05fbc2241822e633646">PORT_EV_DSR</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a10c2bdf54cafcd9e2b2f2f6b73cf4bc6">PORT_EV_RLSD</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a93ddd638f2a1037efc1bf9829efbb216">PORT_EV_BREAK</ref> | \
                                   <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a21223e2f0159a9b4e5d28178b7995bbd">PORT_EV_ERR</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6acb07c980eb0b6f0e4d6f1d135338a188">PORT_EV_RING</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a34886c5f5c970ec71830f71df6a30397">PORT_EV_CONNECT_ERR</ref> | \
                                   <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a7805af0b242dcd9e383a484820e35851">PORT_EV_DSRS</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a92e6dbc56674c8ea67ba56b622e5bb1e">PORT_EV_CTSS</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6af0c404b8bfd5d6a971a3578ae6c204d7">PORT_EV_RLSDS</ref> | \
                                   <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6acfc0c833ef513e4d4499b2c21291b1a9">PORT_EV_RXFLAG</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a499053e3abba3673768df96e99ed7fbb">PORT_EV_OVERRUN</ref> | \
                                   <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6a9c35996deb5af9e5d67d5da1efc310bd">PORT_EV_FC</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6aa69edb81d98672d83bd20a22ac1cf308">PORT_EV_FCS</ref> | <ref kindref="member" refid="group__rfcomm__api__functions_1ggaa0e1b18abc58d3ad24eb35eea2fa75c6ab0e0e49c83bfe3fed8ded40f4c877b56">PORT_EV_CONNECTED</ref>)</initializer>
        <briefdescription>
<para>RFCOMM Port Mask to enable all. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" bodystart="54" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" line="54" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The RFCOMM protocol provides emulation of serial ports over the L2CAP protocol. </para>
    </briefdescription>
    <detaileddescription>
<para>The protocol is based on the ETSI standard GSM 7.1.0. RFCOMM is a simple transport protocol, with additional provisions for emulating the nine circuits of RS-232 (ITU-T V.24) serial ports. The RFCOMM protocol supports up to 60 simultaneous connections between two Bluetooth devices. The number of connections that may be used simultaneously in a Bluetooth device is implementation-specific. </para>
    </detaileddescription>
  </compounddef>
</doxygen>